Create an access request

View as Markdown

Creates an access request for a team. Access requests include actions such as request to join a team, upgrading a user’s role, adding members, and requesting team role access to another team.

Note:

If a team discovery is enabled, the team’s access request is automatically approved.

Authentication

x-api-keystring
API Key authentication via header
OR
Authorizationstring
A valid [SCIM API key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key) for calls to SCIM endpoints.
OR
AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

teamIdintegerRequired
The team's ID.

Headers

identifierTypestringOptional
Use SCIM user and group IDs instead of Postman user IDs.

Request

This endpoint expects an object.
entityListlist of objectsRequired
A list of the entities for which to create access requests.
roleenum or nullRequired
The team role to request.
reasonstringRequired
The reason for the access request.
requestTypeenumRequired
The type of access request.

Response

Successful Response
resultlist of objects

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error